%define compatv 72
%{?compatv:%define compatfv 7.2}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions
%define modname korean
%define modfullname mod_%{modname}

Summary: php %{?compatfv} extension that support high level api
Name: php%{?compatv}-%{modname}
Version: 1.0.1
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
URL: https://github.com/OOPS-ORG-PHP/mod_korean
Source0: https://github.com/OOPS-ORG-PHP/mod_korean/archive/%{version}.tar.gz#/%{modfullname}-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api libjpeg libpng zlib
BuildRequires: php%{?compatv}-devel libjpeg-devel libpng-devel zlib-devel

%description
This extension support various high level php api that support
charset convert, image resize, standalone socket mail and so on.

%prep
%setup -q -n %{modfullname}-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
%ifarch x86_64
./configure --with-libdir=lib64
%else
./configure
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/%{modname}.ini <<EOF
extension = %{modname}
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/%{modname}.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/%{modname}.ini

%changelog
* Sat Feb 10 2018 JoungKyun.Kim <hostmaster@oops.org> 1:1.0.0-1%{?dist}
- update 1.0.1 for PHP72

* Tue Feb 16 2016 JoungKyun.Kim <hostmaster@oops.org> 1:1.0.1-1%{?dist}
- update 1.0.1
- fixed memory leaks

* Sat Jan  9 2016 JoungKyun.Kim <hostmaster@oops.org> 1:1.0.0-1%{?dist}
- update 1.0.0 for PHP7

* Tue Nov 10 2015 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.5-2%{?dist}
- rebuilt on AN3

* Mon Jan 26 2015 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.5-2%{?dist}
- fixed gif read on imgresize_lib function

* Mon Nov 12 2012 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.5-1%{?dist}
- update 0.1.5
- fixed overflow2 gd link problems

* Tue Feb 28 2012 JoungKyun.Kim <hostmaster@oops.org> 1:0.1.4-1%{?dist}
- first packaged

